<?php

namespace Drupal\gift_aid\Donor;

use Drupal\Core\Entity\EntityInterface;
use Drupal\Core\Entity\Sql\SqlContentEntityStorage;

/**
 * Defines the gift aid declaration storage.
 */
class DonorStorage extends SqlContentEntityStorage implements DonorStorageInterface {

  /**
   * {@inheritdoc}
   */
  public function loadOrCreateByContext(EntityInterface $context) {
    $properties = [
      'context.target_type' => $context->getEntityTypeId(),
      'context.target_id' => $context->id(),
    ];
    if ($result = $this->loadByProperties($properties)) {
      return reset($result);
    }

    return $this->create()->setContext($context);
  }

}
