<?php

namespace Drupal\gift_aid\Entity;

use Drupal\address\AddressInterface;
use Drupal\Core\Entity\ContentEntityInterface;
use Drupal\Core\Entity\EntityInterface;

/**
 * Provides an interface for defining donors.
 *
 * @ingroup gift_aid
 */
interface DonorInterface extends ContentEntityInterface {

  /**
   * Gets declaration context.
   *
   * @return \Drupal\Core\Entity\EntityInterface
   *   An entity that is the context for the declaration.
   */
  public function getContext();

  /**
   * Set declaration context.
   *
   * @param \Drupal\Core\Entity\EntityInterface $context
   *   An entity that is the context for the declaration.
   *
   * @return $this
   */
  public function setContext(EntityInterface $context);

  /**
   * Gets the address.
   *
   * @return \Drupal\address\AddressInterface
   *   The address.
   */
  public function getAddress();

  /**
   * Gets a string containing the name part of the address.
   *
   * @return string
   *   The name from the address.
   */
  public function getAddressName();

  /**
   * Sets the address.
   *
   * @param \Drupal\address\AddressInterface $address
   *   The address.
   *
   * @return $this
   */
  public function setAddress(AddressInterface $address);

}
