<?php

namespace Drupal\gift_aid\Entity;

use Drupal\Core\Config\Entity\ConfigEntityInterface;

/**
 * Provides an interface for defining Evidence type entities.
 */
interface EvidenceTypeInterface extends ConfigEntityInterface {

  const METHOD_ORAL = 'oral';
  const METHOD_WRITTEN = 'written';
  const METHOD_WEB = 'web';

  /**
   * Returns the description of the evidence type.
   *
   * @return string
   *   The description.
   */
  public function getDescription();

  /**
   * Returns the method.
   *
   * @return string
   *   One of the METHOD_ constants.
   */
  public function getMethod();

}
