<?php

namespace Drupal\gift_aid\Form\Donor;

use Drupal\Core\Entity\ContentEntityForm;
use Drupal\Core\Form\FormStateInterface;

/**
 * Form controller for Donor edit forms.
 *
 * @ingroup gift_aid
 */
class DonorForm extends ContentEntityForm {

  /**
   * {@inheritdoc}
   */
  public function prepareEntity() {
    parent::prepareEntity();
    $this->entity->setRevisionLogMessage(NULL);
  }

  /**
   * {@inheritdoc}
   */
  public function buildEntity(array $form, FormStateInterface $form_state) {
    /** @var \Drupal\Core\Entity\ContentEntityInterface $entity */
    $entity = parent::buildEntity($form, $form_state);
    $entity->setNewRevision();
    $entity->setRevisionUserId($this->currentUser()->id());
    $entity->setRevisionCreationTime($this->time->getRequestTime());

    return $entity;
  }

  /**
   * {@inheritdoc}
   */
  public function save(array $form, FormStateInterface $form_state) {
    $entity = $this->entity;
    $status = parent::save($form, $form_state);
    $this->messenger()->addStatus($this->t('Donor %label has been added.', ['%label' => $entity->label()]));
    $form_state->setRedirectUrl($entity->toUrl());
    return $status;
  }

}
