<?php

namespace Drupal\gift_aid\Plugin\Validation\Constraint;

use Drupal\Core\Entity\Plugin\Validation\Constraint\CompositeConstraintBase;

/**
 * Validates start_date field of the gift aid declaration entity.
 *
 * @Constraint(
 *   id = "GiftAidDeclarationStartDate",
 *   label = @Translation("Start date", context = "Validation"),
 *   type = "entity:gift_aid_declaration"
 * )
 */
class StartDateConstraint extends CompositeConstraintBase {

  /**
   * Message shown when the end_date field is empty in date-based declaration.
   *
   * @var string
   */
  public $messageRequiredIfDateBased = 'A start date must be provided if the declaration is date-based.';

  /**
   * {@inheritdoc}
   */
  public function coversFields() {
    return ['start_date'];
  }

}
